//Librairies
//eHealth librairie
#include <eHealth.h>

//Setup
void setup(){
  Serial.begin(9600);
}

//Main loop function
void loop(){
  if(Serial.available()>0)
  {
    String data=Serial.readString();
    if(data=="temperature")
    {
      float temperature = GetTempD();
      Serial.print(String(temperature));
      Serial.println("\n");
      Serial.flush();
    }
  }
}

float GetTempD()
{
  //Déclaration des variables
  float OldTemp=0.0;
  float NewTemp=0.0;
  boolean i=false;
  
  //Boucle d'acquisition
  while(i!=true){
    NewTemp=eHealth.getTemperature();
    if(OldTemp==NewTemp){
      i=true;
      OldTemp=NewTemp;
    }
    else{
      i=false;
      OldTemp=NewTemp;
    }
    delay(2000);
  }
  return NewTemp;
}
  
